XML11NMTOKENDatatypeValidator (Xerces2 Implementation)
Date: 2016-02-19

org.apache.xerces.impl.dv.dtd

## Class XML11NMTOKENDatatypeValidator

- java.lang.Object
- - org.apache.xerces.impl.dv.dtd.NMTOKENDatatypeValidator
  - - org.apache.xerces.impl.dv.dtd.XML11NMTOKENDatatypeValidator

- All Implemented Interfaces:
    DatatypeValidator

      public class XML11NMTOKENDatatypeValidator
      extends NMTOKENDatatypeValidator

  NMTOKEN datatype validator for NMTokens from XML 1.1.
  Version:
    $Id: XML11NMTOKENDatatypeValidator.java 699892 2008-09-28 21:08:27Z mrglavas $
  Author:
    Jeffrey Rodriguez, IBM, Sandy Gao, IBM, Neil Graham, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XML11NMTOKENDatatypeValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(java.lang.String content, ValidationContext context)` Checks that "content" string is valid NMTOKEN value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XML11NMTOKENDatatypeValidator

          public XML11NMTOKENDatatypeValidator()

  - ### Method Detail

    - #### validate

          public void validate(java.lang.String content,
                      ValidationContext context)
                        throws InvalidDatatypeValueException

      Checks that "content" string is valid NMTOKEN value. If invalid a Datatype validation exception is thrown.
      Specified by:
        `validate` in interface `DatatypeValidator`
      Overrides:
        `validate` in class `NMTOKENDatatypeValidator`
      Parameters:
        `content` - the string value that needs to be validated
        `context` - the validation context
      Throws:
        `InvalidDatatypeException` - if the content is invalid according to the rules for the validators
        `InvalidDatatypeValueException`
      See Also:
        `InvalidDatatypeValueException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.